GIT-DEBORIG.DE(1)

BEZEICHNUNG
git-deborig - versucht, mittels git-archive(1) Debians orig.tar zu erstellen.

ÜBERSICHT
git deborig [--force|-f] [--just-print|--just-print-tag-names] [--version=VERSION] [COMMITTISH]

BESCHREIBUNG
git-deborig versucht, das orig.tar, das Sie zum Hochladen benötigen, zu erstellen, indem es git-archive(1) auf einer bestehenden Git-Markierung oder Kopf eines Zweiges aufrufen. Es wurde unter Berücksichtigung des Arbeitsablaufs von dgit-maint-merge(7) geschrieben, kann aber auch mit anderen Arbeitsabläufen benutzt werden.

git-deborig wird mehrere geläufige Markierungsnamen durchprobieren. Falls dies fehlschlägt oder mherere dieser Markierungen vorhanden sind, können Sie die Markierung oder den Kopf des Zweiges zum Archivieren auf der Befehlszeile (COMMITTISH oben) angeben.

git-deborig wird gitattributes(5) außer Kraft setzen. letzteres würde dazu führen, dass der Inhalt des durch git-archive(1) erstellten Tarballs nicht mit dem archivierten Commitish übereinstimmt: den Attributen export-subst und export-ignore.

git-deborig sollte von der Wurzel des Git-Depots aufgerufen werden, das debian/changelog enthalten sollte.

OPTIONEN

-f|--force
    überschreibt jede existierende orig.tar im übergeordneten Verzeichnis.

--just-print
    gibt, anstatt git-archive(1) tatsächlich aufzurufen, Informationen aus, was beim Aufruf geschehen würde. Ignoriert --force.

    Beachten Sie, dass das Ausführen von git-archive(1) dessen Aufruf mit dieser Option ausgegeben wird, möglicherweise nicht dieselbe Ausgabe erzeugt. Dies liegt daran, dass git-deborig Git-Attribute deaktiviert, die anderenfalls durch git-archive(1) beherzigt würden, wie oben erklärt.

--just-print-tag-names
    Instead of actually invoking git-archive(1), or even checking which tags exist, print the tag names we would consider for the upstream version number in the first entry in the Debian changelog, or that supplied with --version.

--version=VERSION
    benutzt VERSION, statt die Version von den Originalautoren aus dem ersten Eintrag des Debian-Changelogs zu lesen.

SIEHE AUCH
git-archive(1), dgit-maint-merge(7), dgit-maint-debrebase(7)

AUTOR
git-deborig wurde von Sean Whitton <spwhitton@spwhitton.name> geschrieben.